> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vers.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1vm ssh key



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/vm/{vm_id}/ssh_key
openapi: 3.1.0
info:
  title: Orchestrator Control Plane API
  description: ''
  license:
    name: ''
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/vm/{vm_id}/ssh_key:
    get:
      tags:
        - vm
      operationId: ssh_key
      parameters:
        - name: vm_id
          in: path
          description: Node ID
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: List all VMs on node
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VmSshKeyResponse'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: VM not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearer_auth: []
components:
  schemas:
    VmSshKeyResponse:
      type: object
      description: Response body for GET /api/vm/{vm_id}/ssh_key
      required:
        - ssh_private_key
        - ssh_port
      properties:
        ssh_port:
          type: integer
          format: int32
          description: >-
            The SSH port that will be DNAT'd to the VM's netns (and, in turn, to
            its TAP device)
          minimum: 0
        ssh_private_key:
          type: string
          description: Private SSH key in stringified OpenSSH format
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Reason of error
        success:
          type: boolean
          description: 'Is always: false'
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: Token

````